export declare enum LabelType {
    SINGLE = "single",
    PAIRED_OPENING = "paired_opening",
    PAIRED_CLOSING = "paired_closing",
    INVALID = "invalid"
}
export declare enum LabelKind {
    SINGLE = "single",
    PAIRED = "paired",
    INVALID = "invalid"
}
export declare enum LabelPlacement {
    INLINE = "inline",
    BLOCK = "block",
    NA = "na"
}
export declare enum LabelFence {
    START = "{(",
    END = ")}",
    START_CLOSING = "{|",
    END_OPENING = "|}"
}
export declare enum LabelErrorType {
    BLANK = 0,
    INVALID = 1,
    CLOSING_WITH_ATTRIBUTES = 2,
    MISSING_DEFINITION = 3,
    KIND_MISUSE = 4,
    HTML_TEMPLATE_EXCEPTION = 5,
    BROKEN_PAIR = 6,
    BROKEN_NESTING = 7
}
