"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var LabelType;
(function (LabelType) {
    LabelType["SINGLE"] = "single";
    LabelType["PAIRED_OPENING"] = "paired_opening";
    LabelType["PAIRED_CLOSING"] = "paired_closing";
    LabelType["INVALID"] = "invalid";
})(LabelType = exports.LabelType || (exports.LabelType = {}));
var LabelKind;
(function (LabelKind) {
    LabelKind["SINGLE"] = "single";
    LabelKind["PAIRED"] = "paired";
    LabelKind["INVALID"] = "invalid";
})(LabelKind = exports.LabelKind || (exports.LabelKind = {}));
var LabelPlacement;
(function (LabelPlacement) {
    LabelPlacement["INLINE"] = "inline";
    LabelPlacement["BLOCK"] = "block";
    LabelPlacement["NA"] = "na";
})(LabelPlacement = exports.LabelPlacement || (exports.LabelPlacement = {}));
var LabelFence;
(function (LabelFence) {
    LabelFence["START"] = "{(";
    LabelFence["END"] = ")}";
    LabelFence["START_CLOSING"] = "{|";
    LabelFence["END_OPENING"] = "|}";
})(LabelFence = exports.LabelFence || (exports.LabelFence = {}));
var LabelErrorType;
(function (LabelErrorType) {
    LabelErrorType[LabelErrorType["BLANK"] = 0] = "BLANK";
    LabelErrorType[LabelErrorType["INVALID"] = 1] = "INVALID";
    LabelErrorType[LabelErrorType["CLOSING_WITH_ATTRIBUTES"] = 2] = "CLOSING_WITH_ATTRIBUTES";
    LabelErrorType[LabelErrorType["MISSING_DEFINITION"] = 3] = "MISSING_DEFINITION";
    LabelErrorType[LabelErrorType["KIND_MISUSE"] = 4] = "KIND_MISUSE";
    LabelErrorType[LabelErrorType["HTML_TEMPLATE_EXCEPTION"] = 5] = "HTML_TEMPLATE_EXCEPTION";
    LabelErrorType[LabelErrorType["BROKEN_PAIR"] = 6] = "BROKEN_PAIR";
    LabelErrorType[LabelErrorType["BROKEN_NESTING"] = 7] = "BROKEN_NESTING";
})(LabelErrorType = exports.LabelErrorType || (exports.LabelErrorType = {}));
//# sourceMappingURL=types.js.map