"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const visitAndExtractHtml_1 = require("./visitAndExtractHtml");
exports.default = (composedNarrativeSchema) => () => {
    return function transformer(ast, vFile, next) {
        visitAndExtractHtml_1.default(ast, vFile, composedNarrativeSchema.labelByName);
        if (typeof next === "function") {
            return next(null, ast, vFile);
        }
    };
};
//# sourceMappingURL=applySchema.js.map